# Uses of Interface
org.eclipse.gef.GraphicalViewer

Packages that use GraphicalViewer
Package
Description
org.eclipse.gef.print
org.eclipse.gef.rulers
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts
org.eclipse.gef.ui.rulers

## Uses of GraphicalViewer in org.eclipse.gef.print

Methods in org.eclipse.gef.print that return GraphicalViewer
Modifier and Type
Method
Description
`GraphicalViewer`
PrintGraphicalViewerOperation.`getViewer()`
Returns the viewer.
Methods in org.eclipse.gef.print with parameters of type GraphicalViewer
Modifier and Type
Method
Description
`void`
PrintGraphicalViewerOperation.`setViewer(GraphicalViewer viewer)`
Sets the viewer.
Constructors in org.eclipse.gef.print with parameters of type GraphicalViewer
Modifier
Constructor
Description
``
`PrintGraphicalViewerOperation(Printer p, GraphicalViewer g)`
Constructor for PrintGraphicalViewerOperation

## Uses of GraphicalViewer in org.eclipse.gef.rulers

Methods in org.eclipse.gef.rulers with parameters of type GraphicalViewer
Modifier and Type
Method
Description
`List`
RulerProvider.`getAttachedEditParts(Object guide, GraphicalViewer viewer)`
Returns a List of EditParts that are attached to the given guide.

## Uses of GraphicalViewer in org.eclipse.gef.ui.actions

Fields in org.eclipse.gef.ui.actions declared as GraphicalViewer
Modifier and Type
Field
Description
`protected GraphicalViewer`
ToggleRulerVisibilityAction.`diagramViewer`
The viewer whose ruler visibility property is to be toggled
Constructors in org.eclipse.gef.ui.actions with parameters of type GraphicalViewer
Modifier
Constructor
Description
``
`ToggleGridAction(GraphicalViewer diagramViewer)`
Constructor
``
`ToggleRulerVisibilityAction(GraphicalViewer diagramViewer)`
Constructor
``
`ToggleSnapToGeometryAction(GraphicalViewer diagramViewer)`
Constructor

## Uses of GraphicalViewer in org.eclipse.gef.ui.palette

Classes in org.eclipse.gef.ui.palette that implement GraphicalViewer
Modifier and Type
Class
Description
`class`
`PaletteViewer`
Graphical viewer for the GEF palette.
Methods in org.eclipse.gef.ui.palette with parameters of type GraphicalViewer
Modifier and Type
Method
Description
`void`
FlyoutPaletteComposite.`hookDropTargetListener(GraphicalViewer viewer)`
This method hooks a DropTargetListener that collapses the flyout patette when the user drags something from the palette and moves the cursor to the primary viewer's control.

## Uses of GraphicalViewer in org.eclipse.gef.ui.parts

Classes in org.eclipse.gef.ui.parts that implement GraphicalViewer
Modifier and Type
Class
Description
`class`
`GraphicalViewerImpl`
An EditPartViewer implementation based on `Figures`.
`class`
`ScrollingGraphicalViewer`
A Graphical Viewer implementation which uses a `FigureCanvas` for native scrolling.
Methods in org.eclipse.gef.ui.parts that return GraphicalViewer
Modifier and Type
Method
Description
`protected GraphicalViewer`
GraphicalEditor.`getGraphicalViewer()`
Returns the graphical viewer.
`protected GraphicalViewer`
GraphicalViewerKeyHandler.`getViewer()`
Returns the viewer on which this key handler was created.
Methods in org.eclipse.gef.ui.parts with parameters of type GraphicalViewer
Modifier and Type
Method
Description
`protected void`
GraphicalEditor.`setGraphicalViewer(GraphicalViewer viewer)`
Sets the graphicalViewer for this EditorPart.
Constructors in org.eclipse.gef.ui.parts with parameters of type GraphicalViewer
Modifier
Constructor
Description
``
`GraphicalViewerKeyHandler(GraphicalViewer viewer)`
Constructs a key handler for the given viewer.

## Uses of GraphicalViewer in org.eclipse.gef.ui.rulers

Methods in org.eclipse.gef.ui.rulers that return GraphicalViewer
Modifier and Type
Method
Description
`protected GraphicalViewer`
RulerComposite.`getLeft()`
Retrieve the left ruler graphical viewer.
`protected GraphicalViewer`
RulerComposite.`getTop()`
Retrieve the top ruler graphical viewer.